curl --request GET \
--url https://{defaultHost}/v1/shipping_profiles/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/shipping_profiles/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/shipping_profiles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5647df2b-3339-4b20-bc91-1b640494bd43",
"object": "shipping_profile",
"default": false,
"name": "General",
"fallback_shipping_zone": null,
"created_at": 1787228489,
"updated_at": 1787228489
}Retrieve
Retrieves details of a specific shipping profile.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
The UUID of the specific object.
A string describing the object type returned.
A name for this shipping profile that will be visible to customers.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Whether or not this shipping profile is the default for the account.
Expandable – The associated shipping zone ID.
Expandable – Property not returned unless expanded.
Expandable – Property not returned unless expanded.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?